Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.PC.FailedReason

class petsc4py.PETSc.PC.FailedReason

  Bases: `object`

  The reason the preconditioner has failed.

  Attributes Summary

  `FACTOR_NUMERIC_ZEROPIVOT` | Constant `FACTOR_NUMERIC_ZEROPIVOT` of type `int`
  `FACTOR_OTHER` | Constant `FACTOR_OTHER` of type `int`
  `FACTOR_OUTMEMORY` | Constant `FACTOR_OUTMEMORY` of type `int`
  `FACTOR_STRUCT_ZEROPIVOT` | Constant `FACTOR_STRUCT_ZEROPIVOT` of type `int`
  `NOERROR` | Constant `NOERROR` of type `int`
  `SETUP_ERROR` | Constant `SETUP_ERROR` of type `int`
  `SUBPC_ERROR` | Constant `SUBPC_ERROR` of type `int`

  Attributes Documentation

  FACTOR_NUMERIC_ZEROPIVOT: int = FACTOR_NUMERIC_ZEROPIVOT

    Constant `FACTOR_NUMERIC_ZEROPIVOT` of type `int`

  FACTOR_OTHER: int = FACTOR_OTHER

    Constant `FACTOR_OTHER` of type `int`

  FACTOR_OUTMEMORY: int = FACTOR_OUTMEMORY

    Constant `FACTOR_OUTMEMORY` of type `int`

  FACTOR_STRUCT_ZEROPIVOT: int = FACTOR_STRUCT_ZEROPIVOT

    Constant `FACTOR_STRUCT_ZEROPIVOT` of type `int`

  NOERROR: int = NOERROR

    Constant `NOERROR` of type `int`

  SETUP_ERROR: int = SETUP_ERROR

    Constant `SETUP_ERROR` of type `int`

  SUBPC_ERROR: int = SUBPC_ERROR

    Constant `SUBPC_ERROR` of type `int`